require 'db/mongo/models/server'

FactoryGirl.define do
  factory :server, class: Devops::Model::Server do
    id 'server2'
    provider 'ec2'
    provider_account 'account'
    remote_user 'root'
    project 'project'
    environment 'env'
    category 'category'
    private_ip '192.168.0.1'
    ssh_key 'key_id'
    created_by 'root'
    name 'name'
    cm_name 'chef_node_name'
    reserved_by 'root'
    run_list []
    last_operation({'type' => 'creation', 'date' => Time.now.to_i-1000, 'user' => 'root' })
  end
end